<?php

/**
 * @file
 * Theme functions for the CDEK API module.
 */

/**
 * Prepares variables for cdek_select templates.
 *
 * Default template: cdek-select.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - element: An associative array containing the properties of the element.
 *     Properties used: #children, #attributes.
 */
function template_preprocess_cdek_select(array &$variables) {
  $element = $variables['element'];
  $variables['attributes'] = [];

  // Set the correct html ID.
  if (isset($element['#id'])) {
    $variables['attributes']['id'] = $element['#id'];
  }
  $variables['children'] = $element['#children'];
}
