<?php

namespace Drupal\cdek_api\Event;

/**
 * Defines events for the CDEK API module.
 */
final class CdekApiEvents {

  /**
   * Name of the event fired when the list of pickup points is loaded.
   *
   * @Event
   *
   * @see \Drupal\cdek_api\Event\PickupPointsEvent
   * @see \Drupal\cdek_api\CdekApi::getPickupPoints()
   */
  const PICKUP_POINTS = 'cdek_api.pickup_points';

  /**
   * Name of the event fired when the pickup point label is requested.
   *
   * @Event
   *
   * @see \Drupal\cdek_api\Event\PickupPointLabelEvent
   * @see \Drupal\cdek_api\Element\CdekSelect::getPointLabel()
   */
  const PICKUP_POINT_LABEL = 'cdek_api.pickup_point_label';

}
